local base = import "argo_base.libsonnet";

base + {
	repo:: error "repo must be defined",
	version:: error "version must be defined",
	path:: error "path must be defined",
	recursive:: true,

	spec+: {
		source: {
			repoURL: $.repo,
			path: $.path,
			targetRevision: $.version,
			directory: { recurse: $.recursive },
		}
	}
}
